/**
 * 使用dll技术，对某些（第三方库：jquery react vue）进行单独打包
 * webpack打包时，默认查找webpack.config.js文件
 * webpack --config webpack.dll.js
 */
const {resolve} = require('path')
const webpack = require('webpack')
module.exports = {
    entry:{
        jquery:['jquery']
    },
    output:{
        filename:'[name].js',
        path:resolve(__dirname,'dll'),
        library: '[name]_[hash]'    //打包的库里面向外暴露出的内容名字
    },
    plugins:[
        //打包生成一个manifest.json 
        new webpack.DllPlugin({
            name:'[name]_[hash]',//映射库的暴露的内容名称
            path:resolve(__dirname,'dll/manifest.json')
        })
    ],
    mode: 'production'
}